<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>AvailableStatStrategy</name>
    <filename>classAvailableStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classAvailableStatStrategy.html</anchorfile>
      <anchor>ae792c42b9bd1dd45d09626d9db98013a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DependencyStatStrategy</name>
    <filename>classDependencyStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2ae5d817a55a3d4fa0bf80261667053a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MultiVersionStatStrategy</name>
    <filename>classMultiVersionStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classMultiVersionStatStrategy.html</anchorfile>
      <anchor>a3530023f7313a922990b6b4b63f6f888</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classMultiVersionStatStrategy.html</anchorfile>
      <anchor>a69313500feebdad9d3f92d2810c9afc6</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPackageSelector</name>
    <filename>classNCPackageSelector.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPackageSelector</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a38ff7eb806bf886f76f3deaf5e022c22</anchor>
      <arglist>(long modeFlags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NCPackageSelector</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad51a92801fc3536e154f1aa5c1da9140</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFlags</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a787ff5fe4ec3e66884ff3f5b9b283748</anchor>
      <arglist>(long modeFlags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSysconfig</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a8c11cce6e672bf36b8724827c21ccbe2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeSysconfig</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0960bacf1938b7899fb841e332923e74</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createPkgLayout</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad72cb8da3790010e1f9c24a7bf345eca</anchor>
      <arglist>(YWidget *parent, NCPkgTable::NCPkgTableType type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createYouLayout</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a26e0684d5d60157558fce0846e1c7b5f</anchor>
      <arglist>(YWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTable *</type>
      <name>PackageList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a73dc96b408eca723c963f6da13affeb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgPopupDeps *</type>
      <name>DepsPopup</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>abbcb6bed7f4840b3ffbcd40a19cd5130</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgDiskspace *</type>
      <name>diskSpacePopup</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a12136b78f2a6b243f301f4ff86cc90ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>YLabel *</type>
      <name>PackageLabel</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a91929e1a61e95235ff1ac4b9d95a383c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>YLabel *</type>
      <name>PatternLabel</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a244dfdfd844132c1c1b46dbd38a82f25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgPackageDetails *</type>
      <name>InfoText</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ae0c11b35bb0e57af9b1b3f53a3a3a831</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInfoText</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a3ccab58b5a76180aa74784e05751b964</anchor>
      <arglist>(NCPkgPackageDetails *itext)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTable *</type>
      <name>VersionsList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0b853876ae5964af383d346c93f1b534</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVersionsList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a19fa80d4d15d7cc03e63062e11e5800a</anchor>
      <arglist>(NCPkgTable *table)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTable *</type>
      <name>PatchPkgs</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a60a1a0130b7daa75f2f2ed0db13c962e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTable *</type>
      <name>PatchPkgsVersions</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0cdabd450ce584e1462f41e5b00a10d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>YReplacePoint *</type>
      <name>ReplacePoint</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a838f6daa1f6c31122305bfea8cfb979e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCRichText *</type>
      <name>FilterDescription</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad6259a7ececaa13131800294307b3598</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgSearchSettings *</type>
      <name>SearchSettings</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad8f7d0e7f164c756bffe2fa75af65894</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkNow</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a948c90a60f648a6ba01a89bcefa490ad</anchor>
      <arglist>(bool *ok)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>systemVerification</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a9ebe4406bbf46205e9b0cd8cdabe9d12</anchor>
      <arglist>(bool *ok)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatchList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5d177481b1d307ebbb5ac64cb5f7285c</anchor>
      <arglist>(NCPkgMenuFilter::PatchFilter filter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillUpdateList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a16a22c0127df7a1af3f134964b7e9277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatchPackages</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a8f497e32a5d122d40b0842ec14efa47c</anchor>
      <arglist>(NCPkgTable *pkgTable, ZyppObj youPatch, bool versions=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatchSearchList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aef54f1f07e1f11d74714444d6d088dcc</anchor>
      <arglist>(const std::string &amp;expr, bool checkName, bool checkSum)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillDefaultList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a1b6589c62b5a34885a15b387d3b4b26c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isYouMode</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a8d5de9efb69ec857b7d201524f84bb8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUpdateMode</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a40a4c0355f8b662f2afe9963a17bdbb1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRepoMgrEnabled</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>adae74ca9cb2730ae5e1c2beacbea1e7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTestMode</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a7974a9b2a2a19eee6c1d9af5725e3d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>ActionAtExit</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5d02aebf1b0c2db7536904e21c95d464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActionAtExit</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a2f577f052f795283dd6da39c758c9857</anchor>
      <arglist>(std::string action)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCleanDepsOnRemove</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a3e6bc516e8d8ba5bbcbd2340503306cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCleanDepsOnRemove</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a523dba9c030943efabe5b802638d0538</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAllowVendorChange</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>acb4ae1fde6e1aab664d4802eabd6f282</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowVendorChange</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5fed736fef3f4887edbb2d897998c4c2</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInstallAlreadyRecommended</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad582edff5327d9d35f99e48fa81c85f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInstallAlreadyRecommended</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a767352bfad4780eb06f8dd68626f8d6c</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>InstallRecommended</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5b036cbdb6024f12063430660fad1615</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isVerifySystem</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>af9e01a492cb3c64cec7311206b082789</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVerifySystem</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aa33190eae65305bede47f70c86b6a665</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>VerifySystem</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5c1007b0337d3ad9ee3dc6fdb7f797f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAutoCheck</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>af6afcd314fd89358ec1f65c88a1437a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoCheck</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>af0d75b98946cbe56418c2c9868173211</anchor>
      <arglist>(bool check)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>AutoCheck</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a9aab7f35830102453a265d9f76ba0a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ab5ab1544c16054cd9afcecdf8e97ee9e</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPatchPkgVersions</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a21df65cb9e9417dd24bf4ebe4fe400e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPatchPackages</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aafd10714b268ce61d04c47f3982d34a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showVersionsList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>acccfbfe3eea5bba94038a2fedd35b0cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showInformation</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0d8bd7c1f4dfff15b387e53f5961989d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearInfoArea</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a36ef4835518106da3a1f693f0174efd0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>wrect</type>
      <name>deleteReplacePoint</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ac71802810264274fe5c011ce8c7df2ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>replaceFilter</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a8e5385b3fe8975ca8e1cff0288fbd0f3</anchor>
      <arglist>(FilterMode mode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>replaceFilterDescr</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aac173ce5ea87c3faf579ea89bc3d0250</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>OkButtonHandler</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ae405c30c10adea2bb48baeedc1d74fa7</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CancelHandler</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a7ed0bd3c662196c3bc7dc99a9213c89e</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>LinkHandler</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a4a2dd2b461111d447d407d7d268de562</anchor>
      <arglist>(std::string link)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPackageDependencies</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5f64891726dad473f3c92c6d0c79c170</anchor>
      <arglist>(bool doit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showSelectionDependencies</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0c7b0a8cb538b532da679fdf026f51af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePackageList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a769feb6d78c0469447d84bd03fae352a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkPatch</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ae810b106ac3895e4cdc5c71b8fb5c484</anchor>
      <arglist>(ZyppPatch patch, ZyppSel selectable, NCPkgMenuFilter::PatchFilter filter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showLicensePopup</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aa94c0d4e240fde030a2100b2e913dadb</anchor>
      <arglist>(std::string pkgName, std::string license)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDiskSpace</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a7661af1c086b2c40b2c3258f4bc344f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDownloadSize</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a69a383c253afd458777cfa703fbf57ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveState</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a87e601f54d9388a9a7984d1731189338</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreState</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a95fc6fb830239cacb1646f474f890799</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>diffState</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a9d687056c1f9801145721fb8074c80bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPendingLicenseAgreements</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a22c974cb2080e6775ce0c67560103484</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPendingLicenseAgreements</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a1e14a5cdf922d067ccbec9ccdc3bcfb0</anchor>
      <arglist>(ZyppPoolIterator begin, ZyppPoolIterator end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showLicenseAgreement</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>acacbf7de731f4c28dc1776fb791eae0e</anchor>
      <arglist>(ZyppSel &amp;slbPtr, std::string licenseText)</arglist>
    </member>
    <member kind="function">
      <type>std::set&lt; std::string &gt;</type>
      <name>getVerifiedPkgs</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a2793f60f2a09f4095a254285c299d3ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertVerifiedPkg</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a9df69c9c1b36f94152c1fd09d63c9986</anchor>
      <arglist>(std::string pkgname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearVerifiedPkgs</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aa00927810797a3245dc7a1028111dcd4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>af185215a6eeb998b9497b0a2acc11c6c</anchor>
      <arglist>(std::ostream &amp;STREAM, const NCPackageSelector &amp;OBJ)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPackageSelectorPluginImpl</name>
    <filename>classNCPackageSelectorPluginImpl.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual YPackageSelector *</type>
      <name>createPackageSelector</name>
      <anchorfile>classNCPackageSelectorPluginImpl.html</anchorfile>
      <anchor>a8dd7bf513f8d55086e7d4413504e31b2</anchor>
      <arglist>(YWidget *parent, long modeFlags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YEvent *</type>
      <name>runPkgSelection</name>
      <anchorfile>classNCPackageSelectorPluginImpl.html</anchorfile>
      <anchor>ae0fd0343e7f56732dbc08fa83348d186</anchor>
      <arglist>(YDialog *currentDialog, YWidget *packageSelector)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YWidget *</type>
      <name>createPkgSpecial</name>
      <anchorfile>classNCPackageSelectorPluginImpl.html</anchorfile>
      <anchor>a10d50c98a55606c931da9937db046bcd</anchor>
      <arglist>(YWidget *parent, const std::string &amp;subwidget)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPackageSelectorStart</name>
    <filename>classNCPackageSelectorStart.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPackageSelectorStart</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ab2bc1c6fbd3591518b58fb19d1366254</anchor>
      <arglist>(YWidget *parent, long modeFlags, YUIDimension dimension)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NCPackageSelectorStart</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ad4d5eb282fd1bdf093cb1ea84d6b01ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredWidth</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>a4eb523180b3ef4c7b496903eb138e46c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredHeight</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ad49c650957b39d8be9893227ad61401c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSize</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>a328b028c2cfca7c6aaaba3faae6fc7a5</anchor>
      <arglist>(int newWidth, int newHeight)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDefaultList</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>a47bd7343ad8a318bbdd7bf9624dc7196</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ab5025b938ea7d517bceb950d99fc8c1c</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual const char *</type>
      <name>location</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>a4259b69e2ef9003a4e6f3ffb5055fa37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ac8124546fe3c6e4af000dcfcf915ac8b</anchor>
      <arglist>(std::ostream &amp;STREAM, const NCPackageSelectorStart &amp;OBJ)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgDiskspace</name>
    <filename>classNCPkgDiskspace.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgDiskspace</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>af8b83ac0f7d2af7f0c05c7906e2b61f2</anchor>
      <arglist>(bool testSpaceMode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillPartitionTable</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>af32da0372ea8214826f37c4d7aa90833</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>checkDiskSpace</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>ac996c7d652dec239b7e7d062bbec7886</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDiskSpace</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>ad31c8d5d2f94a2e8d21a2df68c981694</anchor>
      <arglist>(wint_t key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkDiskSpaceRange</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>a32fe576b006400f49f124cc905cf9c4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showInfoPopup</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>a168a822d707cfccba2bb0d4eaec5053d</anchor>
      <arglist>(std::string headline)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkRemainingDiskSpace</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>a1e7a1a686e1ed53e44e72052864fc82c</anchor>
      <arglist>(const ZyppPartitionDu &amp;partition)</arglist>
    </member>
    <member kind="function">
      <type>zypp::ByteCount</type>
      <name>calculateDiff</name>
      <anchorfile>classNCPkgDiskspace.html</anchorfile>
      <anchor>a351ae38cde9bd2660645db202a6fb206</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterClassification</name>
    <filename>classNCPkgFilterClassification.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterClassification</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>a6b0a62ceb33302c6dcd372b249f497d5</anchor>
      <arglist>(YWidget *parent, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>YItem *</type>
      <name>getCurrentGroup</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>ad7919e5f5f087826c2f1c399b3db310a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>ae2be20c768c972c606bd622027af2ca5</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPackages</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>a9d775eb3193c33e6d2f3d2db041a15b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDescription</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>a5ca44fc0e20d35a32edd6b8f6459af52</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterInstSummary</name>
    <filename>classNCPkgFilterInstSummary.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterInstSummary</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a595d84953590d003acf9965f8ac2e79b</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a532e3cb8e0f16ba1317f66bf03ac6b99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInstSummaryPackages</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>ae4b09851045c55534f56ea40ff7964bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>acc1919813990071e3419f9e5e3c4d352</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a6d14725bcdc34404e59ce533c90a5527</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>del</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a42fb70d9bc8f6539b0bb6da5c93a44ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>inst</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a4819123eca15ab69e125c44c85311b54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>update</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>ada8b285051ed4f7d0bc56476965a0e09</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>taboo</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a009962af72dd822df494d76c04530e8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>protect</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>aaa7a759eb9fd725877ee86e783adf0ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>keep</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>a1d4fcdab1d469014663dc14f1534d53f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>dontinstall</name>
      <anchorfile>classNCPkgFilterInstSummary.html</anchorfile>
      <anchor>adf3d5d573e792ed2c995c446a6202d07</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterMain</name>
    <filename>classNCPkgFilterMain.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterMain</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a48d029eadad8cc4c3494b5619f7ea1fb</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a8dade5f3aedd434abb9556c990b15d56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a4cd43d3f9496f45c0867b2bb77b239ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSummarySelected</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a4f6c1812a2e2be495f59c557c7657172</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReposSelected</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>ad10901cd07d130bc7afc30dcf62656f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>af26ce2b70f2852fd33d5db927527fe53</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>NCPackageSelector *</type>
      <name>pkg</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>ab0581ba03e39a42eb80770d5794c2fd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>patterns</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a9636b067f4121c1bf19bd0c701077dca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>languages</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a47c2763c4e793e27ba56eb0598b02821</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>rpmgroups</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a4085c206598bba0669d4af446aa4d58a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>repositories</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>aa19503ecb1d4c6152bde6c0b19ec7227</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>search</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>aff96e22d96f5ac4becfa3c84d8a59d43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>inst_summary</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>aed52cf1797410e6834e97330c028cf0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>pkg_class</name>
      <anchorfile>classNCPkgFilterMain.html</anchorfile>
      <anchor>a7fc41514616b8461ee9171712ced639c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterPattern</name>
    <filename>classNCPkgFilterPattern.html</filename>
    <base>NCPkgTable</base>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterPattern</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>ae52a15aa70b60d6358e179e68ff786ea</anchor>
      <arglist>(YWidget *parent, YTableHeader *header, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>ad7936f7dbb971d6c0d3b5244a8c589cc</anchor>
      <arglist>(YWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatternList</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>a91e8a8d78d0cfa0a15495b24b3bfa781</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>showDescription</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>ad8d7d74c0f1895180bab7778d0c72c07</anchor>
      <arglist>(ZyppObj objPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPatternPackages</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>ac9e0edfe3e78152668aa92971a7424f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NCPkgTable</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a7707634b45c5536d1de47e1e00b9b9ec</anchor>
      <arglist>(YWidget *parent, YTableHeader *tableHeader)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addLine</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a95f21a49bfbd0b9f6eb54bf39325ef56</anchor>
      <arglist>(ZyppStatus status, const std::vector&lt; std::string &gt; &amp;elements, ZyppObj objPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a09de37b7858dbcb7e6166ddda183fb61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>itemsCleared</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac566f2d5593912fedb8e998335c5b378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cellChanged</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a78d18e4bbabcad3d4786d469ebd6aaeb</anchor>
      <arglist>(int index, int colnum, const std::string &amp;newtext)</arglist>
    </member>
    <member kind="function">
      <type>NClabel</type>
      <name>getCellContents</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>aac360d6534eb04a08ac22d03cf408c2c</anchor>
      <arglist>(int index, int colnum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPackager</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a42e574521a12ba6fdc62b7762f392ecd</anchor>
      <arglist>(NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a83365e2d4a97104bbe68251073709e56</anchor>
      <arglist>(ZyppStatus newstat, const ZyppSel &amp;slbPtr, ZyppObj objPtr, bool singleChange)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeObjStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a797068486e89ca08a98495d92b37b5f7</anchor>
      <arglist>(int key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeListObjStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a3424f074df2152912c7a459f53b0d93e</anchor>
      <arglist>(NCPkgTableListAction key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toggleObjStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>adaae756010734ec20d42131a635c2d3e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateTable</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac7cba88e432a9bfd4600deb265440fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppStatus</type>
      <name>getStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a0c62f4a9e7f8542c1349d80f1f41a052</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setTableType</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a701c0ce59152e7eda11657857940b25a</anchor>
      <arglist>(NCPkgTableType type, NCPkgStatusStrategy *strategy)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTableType</type>
      <name>getTableType</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a8735b59a6fdb49766e75d3e04594bef9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppObj</type>
      <name>getDataPointer</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a19b8d73feda6fbcbd575c786c6d099ec</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>ZyppSel</type>
      <name>getSelPointer</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac680d447f38773cd085214715b755740</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getNumLines</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a27c1ac17271511e6a824b407ad811095</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillHeader</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>af157b33ed1bcbe0b3c27aeaacdae1134</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createListEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ab594a5157aed895cf3d2f38933532d7b</anchor>
      <arglist>(ZyppPkg pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createPatchEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a83fcd8c2dd49dec8f487c12b72a89835</anchor>
      <arglist>(ZyppPatch pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createInfoEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a5af6a2e4cc371868ac6ba9d74e283107</anchor>
      <arglist>(std::string text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInformation</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a0872098c2c8e09a8c3ee6a1bf0c1564b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVisibleInfo</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ab1c4a6ad97cf2999562af7961f04f9a4</anchor>
      <arglist>(NCPkgTableInfoType info)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTableInfoType</type>
      <name>VisibleInfo</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a08014511574416f767fe0431ec33a437</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillAvailableList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a106ebf6efeef5eafde53e35d855c822b</anchor>
      <arglist>(ZyppSel slb)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillSummaryList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>aed292c0c40ec1b95c48f0433b523281b</anchor>
      <arglist>(NCPkgTableListType type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateInfo</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a1c486b85181fd16c0f6190226fc9b58c</anchor>
      <arglist>(ZyppObj pkgPtr, ZyppSel slbPtr, NCPkgTableInfoType mode)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getCurrentLine</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>ac262db8eb6521ca7b19709729aa6968a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>a78fa430170d7b7e40de23a472ca7a337</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterRPMGroups</name>
    <filename>classNCPkgFilterRPMGroups.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterRPMGroups</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>a3ec7952bd46165611f06eae6d92c8e0a</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *packager)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>acb618a01c82af119b435ca9d42d89657</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>YStringTreeItem *</type>
      <name>getDefaultRpmGroup</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>a6e6fbe8f8001e3fb8c9f9ab62b2e1593</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkPackage</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>a5b6b3f77212e252c9d474d57e5621111</anchor>
      <arglist>(ZyppObj opkg, ZyppSel slb, YStringTreeItem *rpmGroup)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showRPMGroupPackages</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>ada96fc9ace61e52d9a4f9864651f17fe</anchor>
      <arglist>(const std::string &amp;label, YStringTreeItem *rpmGroup)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItem</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>a1fe73f9215e04a80fd96218214c1b47a</anchor>
      <arglist>(YTreeItem *newItem)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>ac3f6695f5b8fb2dec7c37ff9d1f600a9</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgFilterRPMGroups.html</anchorfile>
      <anchor>ad5306632bc7b6e66778fe6ec03ecf7e8</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterSearch</name>
    <filename>classNCPkgFilterSearch.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterSearch</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>a4b90d5896a1f2865fd886db136e1d0b6</anchor>
      <arglist>(YWidget *parent, YUIDimension dim, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>a549685e879783c7fba6a8314c21ce908</anchor>
      <arglist>(YWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showSearchResultPackages</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>acd47c644a1ff12360031dd2bdbaa4aa4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>match</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>a5106de0b1887ba7074bb60fd1499eae3</anchor>
      <arglist>(std::string s1, std::string s2, bool ignoreCase)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillSearchList</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>af2755432b73e7776b54f3c3093f0162c</anchor>
      <arglist>(std::string &amp;expr, bool ignoreCase)</arglist>
    </member>
    <member kind="function">
      <type>NCInputField *</type>
      <name>getSearchField</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>adc543a3f8862460664bb57a267302dfd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getSearchExpression</name>
      <anchorfile>classNCPkgFilterSearch.html</anchorfile>
      <anchor>a55f38fec7d631f688c573400219f979b</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgLocaleTable</name>
    <filename>classNCPkgLocaleTable.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgLocaleTable</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>a7114b9ae47bed95e45b4deacb84dd989</anchor>
      <arglist>(YWidget *parent, YTableHeader *tableHeader, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillHeader</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>abd389f0d6cc44c4c83edefe9a9af2c4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addLine</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>aed71c33ecc5fd92eedf3d986a487ed08</anchor>
      <arglist>(zypp::sat::LocaleSupport, const std::vector&lt; std::string &gt; &amp;cols, std::string status)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillLocaleList</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>ad6ef42ac24d2ed8d3a074acdb3e3c31f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showLocalePackages</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>a89305c43263d97c1362d14e50d8075e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgLocaleTag *</type>
      <name>getTag</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>aac63048b29255a5cb3aaa80bee889008</anchor>
      <arglist>(const int &amp;index)</arglist>
    </member>
    <member kind="function">
      <type>zypp::sat::LocaleSupport</type>
      <name>getLocale</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>a6614a0e325f20f6455239b343ac2819a</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>status</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>a90e77a13b9fe4dc588aaf0727e9a79fd</anchor>
      <arglist>(zypp::Locale lang)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>a9edf6b3a289b8faa022df3157613a805</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgLocaleTable.html</anchorfile>
      <anchor>aeb9e523b678cd7a40984fa039c03d29a</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgLocaleTag</name>
    <filename>classNCPkgLocaleTag.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgLocaleTag</name>
      <anchorfile>classNCPkgLocaleTag.html</anchorfile>
      <anchor>a851b05730461167e720603fc0f8aafef</anchor>
      <arglist>(zypp::sat::LocaleSupport locale, std::string status)</arglist>
    </member>
    <member kind="function">
      <type>zypp::sat::LocaleSupport</type>
      <name>getLocale</name>
      <anchorfile>classNCPkgLocaleTag.html</anchorfile>
      <anchor>a32b70026adba5d1127801eecdb60481e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuAction</name>
    <filename>classNCPkgMenuAction.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuAction</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>ad7693d4e32262700637d5cb726cf599c</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a0efae94e4f83cb67bad166dc4d6ba81a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a0fdde73745734cd497f38d75671e68e8</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="variable">
      <type>NCPackageSelector *</type>
      <name>pkg</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a51a8fe5dbf0ced1290b23f441ea30732</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>ae08770b087446e4bc8f79e906e4db332</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>toggleItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>abffa95accd270e537ee7682b8b74c740</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>installItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a0320fca856f18b2278b6f38e883333e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>deleteItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>af79d3156c01ab06384cfc670b2ea92c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>updateItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a8a92ec104eae14efcdc159756c48c499</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>tabooItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>aa8b8da47ecb952e36d1522ee8735ada6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>lockItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>abb265b74b370d4b68f90c52e60db86c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>allItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a3647ab5b42dab62f9e76ea7bbda8833b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>installAllItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>abc47f94ed621960c442fb17268868621</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>deleteAllItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a566eae7fe1fd55ded692f8ee8d0edd75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>keepAllItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a703c81ad4343f2b8f443e90e36e37714</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>updateAllItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a9f70f7d461ba9aeacb372ab543baff93</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>updateNewerItem</name>
      <anchorfile>classNCPkgMenuAction.html</anchorfile>
      <anchor>a60ed622d0eea8f5b565a193a7fcbf7ed</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuConfig</name>
    <filename>classNCPkgMenuConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuConfig</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a50d06ee56159773c35f99095889a928d</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a3dba81074d74ba2b11cc34b898ef2a53</anchor>
      <arglist>(YMenuItem *item, bool selected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a40071122b24809d47fc93a399af4c735</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>ac0448a9a85cc21f344da5d100c29ca2d</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a0ecaaf4ef7226f829966bbc7f87d3afe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>repoManager</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>abcec4afd2112061385e6d1522aaf22d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>onlineUpdate</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a6c33f20de8cd44bc3e6e42125b1f42c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>actionOnExit</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a0f7ae87924d10a7632ccebf0d2443e2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>webpinSearch</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a6927f42e12672cb101ae6a3fb659623b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>restart</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a42f2c093b46469c4aa6ab1225465f6a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>close</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a47154f25b48e84d0cf3aea6c836f077a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>showSummary</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>a5205e4966663cd3ec4cbc22fb2b1f70f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>NCPackageSelector *</type>
      <name>pkg</name>
      <anchorfile>classNCPkgMenuConfig.html</anchorfile>
      <anchor>afd65d0d1eb0042400abd80e18ca693fa</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuDeps</name>
    <filename>classNCPkgMenuDeps.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuDeps</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a719802b5c668916a9e0eb0c2eaba4a39</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a479c9fdf1397a3eb4f994cd37c2ca92b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a34934dd9d568c65f50ef4d6f56786e35</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkDependencies</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a65e2ec53172a6f0d0d245c9e00e0bf05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateTestcase</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a23078e4e2ffd5f88c1770c7668dd732a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAutoCheck</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>afbd6a0bac6ebbc396913be1250c950e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setCleanDepsOnRemove</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a4675384a85f299c775462ac0d2bfc7c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setInstallAlreadyRecommended</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>afdde34c2eebfff647cb044e08ce1f596</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAllowVendorChange</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a02db0134921205f65154786d76af5a1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setVerifySystem</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a520b8f643030303c2edb2ea506f44058</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a6f7c1df01f0934425db2dca1c66a0de9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a96f8f8d2290706e76567c490ebe7f8d6</anchor>
      <arglist>(YMenuItem *item, bool selected)</arglist>
    </member>
    <member kind="variable">
      <type>NCPackageSelector *</type>
      <name>pkg</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a6e1906201eae7b84aa6003db9a9aa531</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>ac9731b60feccda6bbfc1221f7bb4ab45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>autoCheckDeps</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a0602ef63206f130d48e404913abe4f01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>checkNow</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>aeecf74e062f2ef6d3479d8ac6d535aa6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>verifySystem</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a74103f835fbf4a1ff66765ef62357335</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>verifySystemOpt</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>aa9b2e70e5ea2bb83f9e9eaee9635dcbc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>installAlreadyRecommendedOpt</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a46b20f4da22d44fe4c40a048cb5d9329</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>cleanDepsOnRemove</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a3208f0610ab4f5a8fd8a2e319aa27e52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>allowVendorChange</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a57b55934df37c22ca92222e52603a675</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>testCase</name>
      <anchorfile>classNCPkgMenuDeps.html</anchorfile>
      <anchor>a91c1e0edabef20e6b7c07a9194c1b478</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuExtras</name>
    <filename>classNCPkgMenuExtras.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuExtras</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>a08d2a84edeb2af9d30d80d0c3af485ad</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>a6d4c611512f4ae5f19ef01cfa4512d72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>a7119eea441af3f01f7381452e471a191</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>importSelectable</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>adb3506916455358f510ffb36c7a88cdc</anchor>
      <arglist>(ZyppSel selectable, bool isWanted, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>exportToFile</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>ab2af1b7f9c9f850d9c4944156a8d6d87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>importFromFile</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>afe1b9ef26e3d3a85250eedba534fe99f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showDiskSpace</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>aed94130264b6c7a3dbec7a2abb955f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>a90cdae09536e1ea087ad7277fa92245f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>exportFile</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>ad80181de8ebf24b7b3c6dc7cb5b47d5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>importFile</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>a6fb970b13bccac304494f810e50b9f80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>diskSpace</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>acd6e9f679fa6683944c356c318d273b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>NCPackageSelector *</type>
      <name>pkg</name>
      <anchorfile>classNCPkgMenuExtras.html</anchorfile>
      <anchor>a3f00b4853dbe7f6adf3058c970483a6c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuFilter</name>
    <filename>classNCPkgMenuFilter.html</filename>
    <member kind="function">
      <type>NCPkgMenuFilter &amp;</type>
      <name>operator=</name>
      <anchorfile>classNCPkgMenuFilter.html</anchorfile>
      <anchor>a67925a0b43cbf665ecf2f85fe458a2b2</anchor>
      <arglist>(const NCPkgMenuFilter &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuFilter</name>
      <anchorfile>classNCPkgMenuFilter.html</anchorfile>
      <anchor>a6e506aaffccfcf8fa652f9f91ee277d3</anchor>
      <arglist>(const NCPkgMenuFilter &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuFilter</name>
      <anchorfile>classNCPkgMenuFilter.html</anchorfile>
      <anchor>a86812d90c4e675ed33bfefb04007d2aa</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuFilter.html</anchorfile>
      <anchor>a8fbfa047172dbc0ba7de512c07b8abd3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuFilter.html</anchorfile>
      <anchor>a95d7b107b7c055608f05caf4933266c2</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuHelp</name>
    <filename>classNCPkgMenuHelp.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuHelp</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>a107f0702ed2a617b20c13dbfd9824732</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>aed63902118c8c4caba489b459485bb22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>ab5c1b2c321c707c474534a5701c21c12</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="variable">
      <type>NCPackageSelector *</type>
      <name>pkg</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>a1f3a9f6c303dd1c76b988d7b149ec49e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>a96d1a810754e4c8331f4fa47100857f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>generalHelp</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>a1419a2327ad769a6a4574f04673d152b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>statusHelp</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>adb03072ef9a1954d3666afc7ee35b24a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>filterHelp</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>ac792c7f3913134628b7d3b5e4e08bc2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>menuHelp</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>a174a53075d77b7c423f4a4778c2be1fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>patchHelp</name>
      <anchorfile>classNCPkgMenuHelp.html</anchorfile>
      <anchor>a755b2077ea4aea432a95dd5d0009d25b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuView</name>
    <filename>classNCPkgMenuView.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgMenuView</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>a34ae57ffaa6062e5de22d7b138266c16</anchor>
      <arglist>(YWidget *parent, std::string label, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>ad3f706f5e2e93a5b4ee5834526d9ef94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>ad0a4e852795043b232e560d59fa068b4</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>aeab5791050f6a9610c0baf369cdf1ac5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>description</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>ae28fc82754bd4e4fae7838a4d6fe4a57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>technical</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>a6baffdbd82552a083e24d5d448e90b0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>versions</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>a6cfdaae6357e4e6528378fc2e607c70f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>files</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>aeade8697c4ef4c4851b1bc649a6e5ad6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>deps</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>aab83b060662e18d57245011c1b99c7d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>patchDescription</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>a649338302133b944657c9ba54980d789</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>patchPackages</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>ae4930511e5980561df182a324af8e43c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YMenuItem *</type>
      <name>patchPkgVersions</name>
      <anchorfile>classNCPkgMenuView.html</anchorfile>
      <anchor>a3dc8de6f25dd240ee8763e01f95f24f0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgPackageDetails</name>
    <filename>classNCPkgPackageDetails.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgPackageDetails</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>ae53b61942c60ab287390ee2089342d2a</anchor>
      <arglist>(YWidget *parent, std::string initial_text, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>createText</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>a73c8c864f1112efef0511cdab5f638ea</anchor>
      <arglist>(std::list&lt; std::string &gt; info, bool oneline)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>createHtmlText</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>a37edabb1ab97bd1dcc01a0fcc66396e7</anchor>
      <arglist>(std::string description)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>createRelLine</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>a05e1d54800b66c7b564ac7683d6a2bd7</anchor>
      <arglist>(const zypp::Capabilities &amp;info)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>commonHeader</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>a8b2ff2ca0238190105f9d915ab764fdc</anchor>
      <arglist>(ZyppObj pkgPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>longDescription</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>ad3b1f1b5b7ae3a14bfe99a08127e5d4f</anchor>
      <arglist>(ZyppObj pkgPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>technicalData</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>aa34d1aa8004a703d9d7b88a05dbfc37c</anchor>
      <arglist>(ZyppObj pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fileList</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>aa2266926c4ba06768d68615708c75bfe</anchor>
      <arglist>(ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dependencyList</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>a6af374a03f3646d9362856e20cb3106e</anchor>
      <arglist>(ZyppObj objPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>patchDescription</name>
      <anchorfile>classNCPkgPackageDetails.html</anchorfile>
      <anchor>a11e33bf472d94ac6dfbbbea8e45aa28a</anchor>
      <arglist>(ZyppObj objPtr, ZyppSel selectable)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgPatchSearch</name>
    <filename>classNCPkgPatchSearch.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgPatchSearch</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>aecc31c9ce4e50554c6a444b871b7ff84</anchor>
      <arglist>(const wpos at, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredWidth</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>ae05ec9429dfc9ba9eae3d3f3bfb5e582</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredHeight</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>a6b211ea0453dd3b9c6f1751805c1a987</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>a4aa8668ebfae232610d02e56c4e589c1</anchor>
      <arglist>(const std::string &amp;headline)</arglist>
    </member>
    <member kind="function">
      <type>NCursesEvent &amp;</type>
      <name>showSearchPopup</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>a583bdd04789ab3a8edda83f268f98037</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getSearchExpression</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>a32f5cc41b772240367d9fc465f42ce5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>postAgain</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>adfd4ae16230aaf1eeae06c5c4aca6cee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgPatchSearch.html</anchorfile>
      <anchor>aab8f03aa16b8722307c5b1592e73b671</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupDeps</name>
    <filename>classNCPkgPopupDeps.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgPopupDeps</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>aec17a36d5291eae859cacc77dd74d6c5</anchor>
      <arglist>(const wpos at, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredWidth</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a003cf7b18950e805267634096cda9126</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredHeight</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>af92fdf784cf10f4d97422708f0a5b84a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCursesEvent</type>
      <name>showDependencyPopup</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a0910bcd12a7e1270859d9fc4503f6676</anchor>
      <arglist>(NCPkgSolverAction action)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showDependencies</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a0426136f6cc59a0a19f97b4c7865bee7</anchor>
      <arglist>(NCPkgSolverAction action, bool *ok)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>solve</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>aebe09296a54b2fc5a8ab1feb471c36f3</anchor>
      <arglist>(NCSelectionBox *problemw, NCPkgSolverAction action)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showSolutions</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>ab508e6dfef4b98856f1cec32a9e1174e</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSolution</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a3385b10262c0dac9e12d773cabb3774d</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showSolutionDetails</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a63161f35d85fab96dea6aa4ed14793f6</anchor>
      <arglist>(std::string details)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>postAgain</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a77d01f39617c71f0c647ce5ac3e4ee32</anchor>
      <arglist>(NCPkgSolverAction action)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a459e0ae1ef09cd9da3a2563fb764803f</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>NCSelectionBox *</type>
      <name>problemw</name>
      <anchorfile>classNCPkgPopupDeps.html</anchorfile>
      <anchor>a993a5905a752f5bc87843b014191f89a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupDescr</name>
    <filename>classNCPkgPopupDescr.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgPopupDescr</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>a5e5f8054237ab6c2602dcf65ae157ab8</anchor>
      <arglist>(const wpos at, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual long</type>
      <name>nicesize</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>a83544eb2c07d90a5c4404917ec350726</anchor>
      <arglist>(YUIDimension dim)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillData</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>abf396ccf26488e72928bff5c8a76a944</anchor>
      <arglist>(ZyppPkg pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>a8e8ae01f8a2cedf0a5104794b71ef025</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCursesEvent</type>
      <name>showInfoPopup</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>a50e19013eb699878ca167aa75945b7ef</anchor>
      <arglist>(ZyppPkg pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>postAgain</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>ab45ad45d9861a37eab104e4e9691d6f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgPopupDescr.html</anchorfile>
      <anchor>a56d68fd2de5ce34a0aa4fc5ba885f227</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupDiskspace</name>
    <filename>classNCPkgPopupDiskspace.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgPopupDiskspace</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>a59f235868d958940c5ef813b47aa876f</anchor>
      <arglist>(const wpos at, std::string headline)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>ae6d2b066d3f4ba496f655f9763cbad48</anchor>
      <arglist>(std::string headline)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>doit</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>a4a565609cca461f440173bcd12bafdd7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCTable *</type>
      <name>Partitions</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>a41909e92b3b51f02a8178e1b23a5c151</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredWidth</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>a062d3eb3e7698bb0f5b26b86ef079256</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredHeight</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>aeb81aa5c34f3179a057418461ff8d0aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>postAgain</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>a0480130aff24beaf6ff8170c7bcb808b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgPopupDiskspace.html</anchorfile>
      <anchor>ac2163ad411e9192c5b8a711ba60fd06d</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupTable</name>
    <filename>classNCPkgPopupTable.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgPopupTable</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>aaf851b52fdedc421079657b993bdd382</anchor>
      <arglist>(const wpos at, NCPackageSelector *pkger)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredWidth</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>abbf727452d3722c843ec5b5526211bbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>preferredHeight</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>a40e7ddb48684b245a72ec1ef7fca40c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillAutoChanges</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>a5eb178a9d62eb9c7c3d29f8b5728914f</anchor>
      <arglist>(NCPkgTable *pkgTable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>abede5e8177812e574ab8a3b54139ddd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCursesEvent</type>
      <name>showInfoPopup</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>afea735cb4350cf164cdedc6c90c79276</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>postAgain</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>a1a0314f6c6502b8a3e25474e02c59280</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgPopupTable.html</anchorfile>
      <anchor>ad70ba448860e5315e061c81cd5516fd5</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgRepoTable</name>
    <filename>classNCPkgRepoTable.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgRepoTable</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>aaa9ae1b7e90cea4823393119f8703a45</anchor>
      <arglist>(YWidget *parent, YTableHeader *tableHeader, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addLine</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a0903a06903fc48037433e9d15943d81d</anchor>
      <arglist>(ZyppRepo r, const std::vector&lt; std::string &gt; &amp;cols)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillHeader</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a05dcf9cf2f1af6bd9542a44904ce616e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NCPkgRepoTag *</type>
      <name>getTag</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a0159efa7eb44773ef0ef22361ab9c1ab</anchor>
      <arglist>(const int &amp;index)</arglist>
    </member>
    <member kind="function">
      <type>ZyppRepo</type>
      <name>getRepo</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a206c83a00bff065958040e521cd63c14</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>showDescription</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a651176fcb70f090baf3904c247d15f24</anchor>
      <arglist>(ZyppRepo r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a165b6deeff5f5f4ae4775c210f8abb0e</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
    <member kind="function">
      <type>ZyppProduct</type>
      <name>findProductForRepo</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a55c283d6c6d94f8cfb761e06bc304fe3</anchor>
      <arglist>(ZyppRepo repo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillRepoList</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a3ccaa782a1a8ecf180ad0b379ff2a154</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showRepoPackages</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a609a8d3fb730f494d310f24bfeb17532</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgRepoTag</name>
    <filename>classNCPkgRepoTag.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgRepoTag</name>
      <anchorfile>classNCPkgRepoTag.html</anchorfile>
      <anchor>a9204ffe3c7edc6b917c052d51dc00a0d</anchor>
      <arglist>(ZyppRepo repo)</arglist>
    </member>
    <member kind="function">
      <type>ZyppRepo</type>
      <name>getRepo</name>
      <anchorfile>classNCPkgRepoTag.html</anchorfile>
      <anchor>a7877f66a0e202422263ab5006fa143be</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgSearchSettings</name>
    <filename>classNCPkgSearchSettings.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgSearchSettings</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a5fb3d5758758d51ac505df3b80981b67</anchor>
      <arglist>(YWidget *parent, std::string label)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createLayout</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>aa6c9e3cad2923892c095dfc937742c4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doCheckName</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>aab0962befb9d47399e088e44a22c87e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doCheckSummary</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>ab6ca3b804725b1f3cbb1b182c0805ba7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doCheckKeywords</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a8e677225b69a1289d1d1dc7f52964977</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doCheckDescr</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a3c4b6cc8d54fca69b373953100a4d7f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doCheckProvides</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>ad31f5ff51a337c4595bae7e5cad81e84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doCheckRequires</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a758b64569cab774bd998efd01a22dd0d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>YItemCollection</type>
      <name>items</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a1f6b735ec0a29d34db917ebdf261873b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>checkName</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a738c789f33d79638cc1faa341e43417d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>checkSummary</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a370748574e78f3cebaedfeaa6e544258</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>checkKeywords</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a5bc0b32d4a729d9f08c0d6d477092a3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>checkDescr</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a4b335cfc9b1a1669f3bb34a4906a014c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>checkProvides</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>a8214c1ce55edc0b00e3e0c061ee26751</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YItem *</type>
      <name>checkRequires</name>
      <anchorfile>classNCPkgSearchSettings.html</anchorfile>
      <anchor>ad70749000a08f9bcc631134c2a1fb28b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgSelMapper</name>
    <filename>classNCPkgSelMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgSelMapper</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a3f0a7c94395859193c3082b937763030</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NCPkgSelMapper</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a59c96c38dd4776a7665a6b066d1adb71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppSel</type>
      <name>findZyppSel</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a38399502ccabcc5eb5d414b86d276af8</anchor>
      <arglist>(ZyppPkg pkg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebuildCache</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a6d7b7906844ae6fba824a4bce982a837</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>refCount</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>ad8fecf468dd726f71ecca16a75099f37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>std::map&lt; ZyppPkg, ZyppSel &gt;</type>
      <name>Cache</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a78b41c87798b52245e31a0ff581cb35e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>std::pair&lt; ZyppPkg, ZyppSel &gt;</type>
      <name>CachePair</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a546da55632b1f0996f36e9d739502c35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>Cache::iterator</type>
      <name>CacheIterator</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a0494357e38da37e964169c1c701e9baf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static int</type>
      <name>_refCount</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>ab350c0a77604cbe2d4d02d0d04e36025</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static Cache</type>
      <name>_cache</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>aa14f7d8fd8d03c1d21f85555bf2d0a33</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgStatusStrategy</name>
    <filename>classNCPkgStatusStrategy.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2ae5d817a55a3d4fa0bf80261667053a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgStrings</name>
    <filename>classNCPkgStrings.html</filename>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Deps</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab7eb48a03336dfa52c72c686e1acb3f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>View</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a8884c9c6af14fa574e0737ed9101f1d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Extras</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a9803eef3e46b1d0acb380de09f33ce0e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Filter</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0a38f9a223f86cc6c000bc7e9586dba4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>InstPkg</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3938027d8623bde6aa7986fd52adb972</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageName</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a9c869875f162e7140c9ca24d29d75fec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Actions</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7aa36a86125c7e496a4e2acc72cdc0b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Help</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae77e88abd75d3e20107a7a9991e58868</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageHelp</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7126bb6049c3382daa6795da1461c426</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgGen1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a1d70d5e89567c639866eceeb986623b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgGen2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3ef7276339840d007604d52678f4a31d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgGen3</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3fc3d83ecbbd23b4522120e2cbb185b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgGen4</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3f4a142fa46be3100f7eea6d42ee22c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgGen5</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a70dd4c0c6a6d3f172bbf1f3ef467f5fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgGen6</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a8d6927f1b2c5ae7f300ea0a154a623c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageStatusHelp</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a57d0871822fd0e7c84a96f932daba772</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnStatus1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>acac40e9a6b57ec75a15c1e03260ea4c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnStatus2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ad384a6a5cece28b7862b345057839674</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnStatus3</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0c300718cfb05a3f9f7cbd614cc7e4b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnStatus4</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a5a1bbb5abc37079fc84057f1be6fbe31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnStatus5</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab7e00b7b1c0a8a0399218622d0a412d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageFiltersHelp</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a78e0739401d0ce32cb5651717dbdf6eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnFilters1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a5222f8f9e93fcc36681c23f5854c4645</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnFilters2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aac8bb2f79efd7201c8cd2e04233667a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnFilters3</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a8b5e6bd3433cca9b53dbb8b66d03c0cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnFilters4</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aa863c23713e8f959d35f5694383ce74f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnFilters5</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a03a8b77ef67eb3e5987d3405ff93d7b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageMenuHelp</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac46b7220de85a6e46810c3935ae89a74</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0484e7f6be1338a4fb19783a185e6d98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a9ae02f0718ff9a2b5acb0d0b83645b04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu2_2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a9ba58f9c102317dd3008573caf350c47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu2_3</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af443bd03fb8f73a612126ebf620567b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu3</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af79187b3a540617e82acd54570726f22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu4</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a14d8566bcfc3130eef5b07ee833ac30f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpPkgMenu5</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aa0fc38c691ddef2ed5e9f6314e4ca071</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>SearchIn</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae117cb55b94f190a1df6406930f42e24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>SearchPhrase</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aff216c7b63d7583f63708b7fc8fe0227</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgStatus</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aa7cf57ab187988d0a08dc9fe85ad91c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PatternsLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae28fe75e93194ee0421e802763718303</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>LangCode</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a13e52b9fb878e368d386c5d90e2379aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>LangName</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a02eb175345edc587498a1a1f486a934f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>RepoURL</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a5a9d167f41ba6d7e7ad0e87e1407030b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgName</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0e37687b25cd6f3080831b4eeeaa38a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgSummary</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a5deff6c4260f543a51a203615c72c7b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgVersion</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac548c63f3d83f040275202aab22a23f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgInstSource</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae64b000e09a8d5bbc5370ce51d279b61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgVersionNew</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a550077b2d04726358cd4e7621e66624a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgVersionInst</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7977ae8d9384dcaed2645746e48019f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgSize</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae421c2e170c6d00c83032c5288124391</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgArch</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a36573af324ce26ad98ad473446d8edaf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PkgSource</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aad55f6bbd95f04b3429118e75ac1287e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PatchKind</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a4b78ba65502a1166e436236716853e3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Solving</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac9426e5482356b8364102cdb40256a08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Saving</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a8e4de44146194fc79802cb956fb7c29f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Loading</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>acb6f1eb1223249d04560ac5136d52051</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>DiskspaceLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a6468426b8f93f9529243383a33050b1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Partition</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a43efa1ff38e1a7732a0ef2fd9ffe682f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>UsedSpace</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a08895f26719467f03acf05016d6bf7cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>FreeSpace</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac39bb3f1afe3c5c00e06ec8289d66cd3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>TotalSpace</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aa5fa7e3abfc6595b4ea2e41f4bc04077</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>DiskSpaceError</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac57cc8675d2e14de760354cfe91b2297</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>DiskSpaceWarning</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af60d6d0e36a5496cd7c5f7a95d15b9bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>MoreText</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a4352f80e84788186a51c33576f890da2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>MoreSpaceText</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a2f3413ce8ba606766c7f3c29b562342b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Version</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3e308ae25b2f5bae6944ffccc0a53e1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>InstVersion</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aee6b182534127a71fc37b5f5fd7edbe1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>License</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a055254acd93123ee08a01bba94e6d4bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>MediaNo</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a727df96812f01d2a2ddab740ddde61f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Size</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7a930c77f2ed69a7b903fb5d15ced41c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>RpmGroup</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab904a6274b722c15f1b88cafc2a83b69</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Authors</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a8241f3214b24c5d895635152e8b6df63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Provides</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a9218fa66337a03be4b056082b322aba4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Requires</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae7fbd84adddb010f4a9cb7cf3cb2144e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PreRequires</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0a03b586bffdececc367e69268ef1507</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Conflicts</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae7c8eab35a51b2725a78b05c37483806</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>ListOfFiles</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a5f945228c9bfd893165bbfd4e3d1b518</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>LanguageDescription</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3d537f3d16a43b00d215dcb8cdeb948d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>AutoChangeLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af09f1174c10c40a608820134b7787bf1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>AutoChangeText1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a2975392c49059a98764af5edd671399c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>AutoChangeText2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a754beb5fc73d0ee21ab4af0e07bebd08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YouHelp</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3816d724f4ce8795d2e4b93727c0083c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YouHelp1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aaf49cf33c5b7e7c74d2bd4beb6290ddb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YouHelp2</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a39dc5f44a77af168f2b1af626d43711c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YouHelp3</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a041950b13a3195d7b5b2d57be1517842</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>WarningLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aee8a9634ba94d891d89e1ba6fbb6c081</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>ErrorLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a2f281a773ba36d717b3de07727f6e88e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>NotifyLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a35529d156a60e8c8ca8ca3967cf7e844</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>OKLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7e1eea7a1c4fc4a8950f12791dc38061</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>CancelLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab0dfd3f9c23dd901469a027b81d54a59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YesLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae07870050b8b2ece3d9cd485604aed02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>AcceptLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a41a73e3b8afd5b4c8c4b847690f4d3b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>NoLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aedeae55d85516fab8cb3444b2284d27c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>SolveLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab341133728318d3528349c0faab569a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>CancelText</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a4f8179cbc9ebe1492049fd8b215e2afa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>LanguageLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ad6dc9c07696d69f54f2c49bca297c82c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>RepoLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af521feec41ca926088cef2ff075932a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YOUPatches</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a05136c19915d9ddff0ab1f7f69c6792a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>InstPatches</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a88a0e8c59cbf49ce138d6d1c3f98cae8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Patches</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a4a74036901c98bbbcb9f2412960ace7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>SearchResults</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0643a9d4270e3968ec7598d7fcb380fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>UpdateProblem</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae2ef0a81d78bee6e6742ffccff5fa3a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageDeps</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a37ac9c3902b812db679b9ed31a8dbd99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>HelpOnUpdate</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac910ae3921825494dff3803a077b9def</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Patch</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a2fc1b24bc9ea9db95409850cc8d866ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>NoPatches</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a1b9a959e728c160fa1a594047889d618</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>MenuList</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7d43a75edb1b12be4e9bf31d894b930b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Script</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aa1b461ac91ea8199a11925075c20ecba</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgTable</name>
    <filename>classNCPkgTable.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgTable</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a7707634b45c5536d1de47e1e00b9b9ec</anchor>
      <arglist>(YWidget *parent, YTableHeader *tableHeader)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addLine</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a95f21a49bfbd0b9f6eb54bf39325ef56</anchor>
      <arglist>(ZyppStatus status, const std::vector&lt; std::string &gt; &amp;elements, ZyppObj objPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a09de37b7858dbcb7e6166ddda183fb61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>itemsCleared</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac566f2d5593912fedb8e998335c5b378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cellChanged</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a78d18e4bbabcad3d4786d469ebd6aaeb</anchor>
      <arglist>(int index, int colnum, const std::string &amp;newtext)</arglist>
    </member>
    <member kind="function">
      <type>NClabel</type>
      <name>getCellContents</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>aac360d6534eb04a08ac22d03cf408c2c</anchor>
      <arglist>(int index, int colnum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a9e8108ef31236b51c662b763a9238109</anchor>
      <arglist>(wint_t key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPackager</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a42e574521a12ba6fdc62b7762f392ecd</anchor>
      <arglist>(NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a83365e2d4a97104bbe68251073709e56</anchor>
      <arglist>(ZyppStatus newstat, const ZyppSel &amp;slbPtr, ZyppObj objPtr, bool singleChange)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeObjStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a797068486e89ca08a98495d92b37b5f7</anchor>
      <arglist>(int key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeListObjStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a3424f074df2152912c7a459f53b0d93e</anchor>
      <arglist>(NCPkgTableListAction key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toggleObjStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>adaae756010734ec20d42131a635c2d3e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateTable</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac7cba88e432a9bfd4600deb265440fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppStatus</type>
      <name>getStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a0c62f4a9e7f8542c1349d80f1f41a052</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setTableType</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a701c0ce59152e7eda11657857940b25a</anchor>
      <arglist>(NCPkgTableType type, NCPkgStatusStrategy *strategy)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTableType</type>
      <name>getTableType</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a8735b59a6fdb49766e75d3e04594bef9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppObj</type>
      <name>getDataPointer</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a19b8d73feda6fbcbd575c786c6d099ec</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>ZyppSel</type>
      <name>getSelPointer</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac680d447f38773cd085214715b755740</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getNumLines</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a27c1ac17271511e6a824b407ad811095</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillHeader</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>af157b33ed1bcbe0b3c27aeaacdae1134</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createListEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ab594a5157aed895cf3d2f38933532d7b</anchor>
      <arglist>(ZyppPkg pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createPatchEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a83fcd8c2dd49dec8f487c12b72a89835</anchor>
      <arglist>(ZyppPatch pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createInfoEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a5af6a2e4cc371868ac6ba9d74e283107</anchor>
      <arglist>(std::string text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInformation</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a0872098c2c8e09a8c3ee6a1bf0c1564b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVisibleInfo</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ab1c4a6ad97cf2999562af7961f04f9a4</anchor>
      <arglist>(NCPkgTableInfoType info)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgTableInfoType</type>
      <name>VisibleInfo</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a08014511574416f767fe0431ec33a437</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillAvailableList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a106ebf6efeef5eafde53e35d855c822b</anchor>
      <arglist>(ZyppSel slb)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillSummaryList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>aed292c0c40ec1b95c48f0433b523281b</anchor>
      <arglist>(NCPkgTableListType type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateInfo</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a1c486b85181fd16c0f6190226fc9b58c</anchor>
      <arglist>(ZyppObj pkgPtr, ZyppSel slbPtr, NCPkgTableInfoType mode)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgTableSort</name>
    <filename>classNCPkgTableSort.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgTableSort</name>
      <anchorfile>classNCPkgTableSort.html</anchorfile>
      <anchor>a4fece5eda18dbf132e627f39a6444baf</anchor>
      <arglist>(const std::vector&lt; std::string &gt; &amp;head)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sort</name>
      <anchorfile>classNCPkgTableSort.html</anchorfile>
      <anchor>af1b38a3c1be0f5fd3f3a15bfedd4c47a</anchor>
      <arglist>(std::vector&lt; NCTableLine * &gt;::iterator itemsBegin, std::vector&lt; NCTableLine * &gt;::iterator itemsEnd, int uiColumn)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgTableTag</name>
    <filename>classNCPkgTableTag.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgTableTag</name>
      <anchorfile>classNCPkgTableTag.html</anchorfile>
      <anchor>a7a6269a0aadcf902e1c3eee7794a1b6e</anchor>
      <arglist>(ZyppObj pkgPtr, ZyppSel selPtr, ZyppStatus stat=S_NoInst)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classNCPkgTableTag.html</anchorfile>
      <anchor>a45c6aab2e9c865ae98d29e84b75e1244</anchor>
      <arglist>(ZyppStatus stat)</arglist>
    </member>
    <member kind="function">
      <type>ZyppStatus</type>
      <name>getStatus</name>
      <anchorfile>classNCPkgTableTag.html</anchorfile>
      <anchor>a44cce6010b4b09aeb2144664991c478c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>statusToString</name>
      <anchorfile>classNCPkgTableTag.html</anchorfile>
      <anchor>a835f21a506e236c24413cf5bd6f8585b</anchor>
      <arglist>(ZyppStatus stat) const </arglist>
    </member>
    <member kind="function">
      <type>ZyppObj</type>
      <name>getDataPointer</name>
      <anchorfile>classNCPkgTableTag.html</anchorfile>
      <anchor>a6ab01923a483b795599ba8f221bd7b04</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ZyppSel</type>
      <name>getSelPointer</name>
      <anchorfile>classNCPkgTableTag.html</anchorfile>
      <anchor>a8469611173ac8321f4c6cedd13fed41a</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgWarningRangeNotifier</name>
    <filename>classNCPkgWarningRangeNotifier.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgWarningRangeNotifier</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>aadc1477029b36f315a0ff1d8fdb47e20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enterRange</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a771ecc5c28d4ecb194e571ae8e80924a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enterProximity</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a0d03b565320a278f4ebd21949e30c4dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>warningPostedNotify</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a7577b4e429acb74a6d593ab423e55264</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inRange</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>ab787c4151e6cfa0ac3498c5829f2f649</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needWarning</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a5c61d74cda363eeb6872f2e36f9d5754</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>leavingProximity</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a538da39eb3b915b7167552115ab99ba7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>logSettings</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>aca7c9b02e7bc3846f989f7e73b7474eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>aa5e12ecc915f32e5d780ab62154c2e4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearHistory</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>ad0d111ee2f8afc6e6bdc9c9d47dc1fb7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>_inRange</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>ad1b4f2c87c23bfcbbb8a3b5cb9fb6d1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>_isClose</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a7a329380724d1c61e7ad7eecdee5cf74</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>_hasBeenClose</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>ad9ee11728906bb3f27aba27864632e98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>_warningPosted</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a7d33b156c44e95d5d9d870af6c4a3685</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCProblemSelectionBox</name>
    <filename>classNCProblemSelectionBox.html</filename>
    <member kind="function">
      <type></type>
      <name>NCProblemSelectionBox</name>
      <anchorfile>classNCProblemSelectionBox.html</anchorfile>
      <anchor>a722b31ec099c42fe82ed56132639502b</anchor>
      <arglist>(YWidget *parent, const std::string &amp;label, NCPkgPopupDeps *aDepsPopup)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCProblemSelectionBox.html</anchorfile>
      <anchor>a465a2f675cc6988efc6013b7841d7095</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCRpmGroupItem</name>
    <filename>classNCRpmGroupItem.html</filename>
    <member kind="function">
      <type></type>
      <name>NCRpmGroupItem</name>
      <anchorfile>classNCRpmGroupItem.html</anchorfile>
      <anchor>aee7773de498d74343fb97fe3c531a57f</anchor>
      <arglist>(YTreeItem *parent, const std::string &amp;label, YStringTreeItem *origItem)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NCRpmGroupItem</name>
      <anchorfile>classNCRpmGroupItem.html</anchorfile>
      <anchor>a65258b197f6aa07e2ab793a89c218a07</anchor>
      <arglist>(const std::string &amp;label, YStringTreeItem *origItem)</arglist>
    </member>
    <member kind="function">
      <type>YStringTreeItem *</type>
      <name>getOrigItem</name>
      <anchorfile>classNCRpmGroupItem.html</anchorfile>
      <anchor>a7f30026bf6fdca657bc4b047a2f1061c</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCSolutionSelectionBox</name>
    <filename>classNCSolutionSelectionBox.html</filename>
    <member kind="function">
      <type></type>
      <name>NCSolutionSelectionBox</name>
      <anchorfile>classNCSolutionSelectionBox.html</anchorfile>
      <anchor>a5e164ebaf861c3bc9fae1f01dabbc7b8</anchor>
      <arglist>(YWidget *parent, const std::string &amp;label, NCPkgPopupDeps *aDepsPopup)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveDetails</name>
      <anchorfile>classNCSolutionSelectionBox.html</anchorfile>
      <anchor>a159d4a3301f325f53308ad3924934b52</anchor>
      <arglist>(YItem *item, std::string details)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCSolutionSelectionBox.html</anchorfile>
      <anchor>a6ff301f810c900a3cc1f2b3352de040f</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PackageStatStrategy</name>
    <filename>classPackageStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2ae5d817a55a3d4fa0bf80261667053a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>paircmp</name>
    <filename>structpaircmp.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>structpaircmp.html</anchorfile>
      <anchor>a4a252202c01ff765f299d6a9d54fc808</anchor>
      <arglist>(std::pair&lt; std::string, std::string &gt; p1, std::pair&lt; std::string, std::string &gt; p2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PatchPkgStatStrategy</name>
    <filename>classPatchPkgStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classPatchPkgStatStrategy.html</anchorfile>
      <anchor>a5076af02cf2690f69051b14c09e99bd4</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PatchStatStrategy</name>
    <filename>classPatchStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classPatchStatStrategy.html</anchorfile>
      <anchor>abe83db934db9feb6a8974886d8b0f63b</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classPatchStatStrategy.html</anchorfile>
      <anchor>a537e8bcda043ad5f8fa579d5c92683cc</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SelectionStatStrategy</name>
    <filename>classSelectionStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classSelectionStatStrategy.html</anchorfile>
      <anchor>a6ddbeea26caa91ff904c665be42565e3</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>UpdateStatStrategy</name>
    <filename>classUpdateStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2ae5d817a55a3d4fa0bf80261667053a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.43.4.1/src</name>
    <path>/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.43.4.1/src/</path>
    <filename>dir_68267d1309a1af8e8297ef4c3efbcdba.html</filename>
    <file>NCPackageSelector.cc</file>
    <file>NCPackageSelector.h</file>
    <file>NCPackageSelectorPluginImpl.cc</file>
    <file>NCPackageSelectorPluginImpl.h</file>
    <file>NCPackageSelectorStart.cc</file>
    <file>NCPackageSelectorStart.h</file>
    <file>NCPkgFilterClassification.cc</file>
    <file>NCPkgFilterClassification.h</file>
    <file>NCPkgFilterInstSummary.cc</file>
    <file>NCPkgFilterInstSummary.h</file>
    <file>NCPkgFilterLocale.cc</file>
    <file>NCPkgFilterLocale.h</file>
    <file>NCPkgFilterMain.cc</file>
    <file>NCPkgFilterMain.h</file>
    <file>NCPkgFilterPattern.cc</file>
    <file>NCPkgFilterPattern.h</file>
    <file>NCPkgFilterRepo.cc</file>
    <file>NCPkgFilterRepo.h</file>
    <file>NCPkgFilterRPMGroups.cc</file>
    <file>NCPkgFilterRPMGroups.h</file>
    <file>NCPkgFilterSearch.cc</file>
    <file>NCPkgFilterSearch.h</file>
    <file>NCPkgMenuAction.cc</file>
    <file>NCPkgMenuAction.h</file>
    <file>NCPkgMenuConfig.cc</file>
    <file>NCPkgMenuConfig.h</file>
    <file>NCPkgMenuDeps.cc</file>
    <file>NCPkgMenuDeps.h</file>
    <file>NCPkgMenuExtras.cc</file>
    <file>NCPkgMenuExtras.h</file>
    <file>NCPkgMenuFilter.cc</file>
    <file>NCPkgMenuFilter.h</file>
    <file>NCPkgMenuHelp.cc</file>
    <file>NCPkgMenuHelp.h</file>
    <file>NCPkgMenuView.cc</file>
    <file>NCPkgMenuView.h</file>
    <file>NCPkgPackageDetails.cc</file>
    <file>NCPkgPackageDetails.h</file>
    <file>NCPkgPatchSearch.cc</file>
    <file>NCPkgPatchSearch.h</file>
    <file>NCPkgPopupDeps.cc</file>
    <file>NCPkgPopupDeps.h</file>
    <file>NCPkgPopupDescr.cc</file>
    <file>NCPkgPopupDescr.h</file>
    <file>NCPkgPopupDiskspace.cc</file>
    <file>NCPkgPopupDiskspace.h</file>
    <file>NCPkgPopupTable.cc</file>
    <file>NCPkgPopupTable.h</file>
    <file>NCPkgSearchSettings.cc</file>
    <file>NCPkgSearchSettings.h</file>
    <file>NCPkgSelMapper.cc</file>
    <file>NCPkgSelMapper.h</file>
    <file>NCPkgStatusStrategy.cc</file>
    <file>NCPkgStatusStrategy.h</file>
    <file>NCPkgStrings.cc</file>
    <file>NCPkgStrings.h</file>
    <file>NCPkgTable.cc</file>
    <file>NCPkgTable.h</file>
    <file>NCZypp.h</file>
  </compound>
</tagfile>
